JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const entity = await client.v1Beta.customers.entities.retrieve('x', { id: 'id' });
console.log(entity.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
entity = client.v1_beta.customers.entities.retrieve(
entity_id="x",
id="id",
)
print(entity.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
entity, err := client.V1Beta.Customers.Entities.Get(
context.TODO(),
"x",
stigg.V1BetaCustomerEntityGetParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", entity.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityRetrieveParams;
import io.stigg.models.v1beta.customers.entities.EntityRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityRetrieveParams params = EntityRetrieveParams.builder()
.id("id")
.entityId("x")
.build();
EntityRetrieveResponse entity = client.v1Beta().customers().entities().retrieve(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
entity = stigg.v1_beta.customers.entities.retrieve("x", id: "id")
puts(entity)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityRetrieveParams parameters = new()
{
ID = "id",
EntityID = "x",
};
var entity = await client.V1Beta.Customers.Entities.Retrieve(parameters);
Console.WriteLine(entity);stigg v1-beta:customers:entities retrieve \
--api-key 'My API Key' \
--id id \
--entity-id xcurl --request GET \
--url https://api.stigg.io/api/v1-beta/customers/{id}/entities/{entityId} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/customers/{id}/entities/{entityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "user-7f3a0c1d",
"entityTypeId": "user",
"metadata": {
"email": "jane@acme.com",
"role": "admin"
},
"createdAt": "2026-05-18T00:00:00.000Z",
"updatedAt": "2026-05-18T00:00:00.000Z",
"archivedAt": null
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Governance Entities
Get a single entity by ID
Retrieves a single entity for the given customer by its identifier.
GET
/
api
/
v1-beta
/
customers
/
{id}
/
entities
/
{entityId}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const entity = await client.v1Beta.customers.entities.retrieve('x', { id: 'id' });
console.log(entity.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
entity = client.v1_beta.customers.entities.retrieve(
entity_id="x",
id="id",
)
print(entity.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
entity, err := client.V1Beta.Customers.Entities.Get(
context.TODO(),
"x",
stigg.V1BetaCustomerEntityGetParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", entity.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityRetrieveParams;
import io.stigg.models.v1beta.customers.entities.EntityRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityRetrieveParams params = EntityRetrieveParams.builder()
.id("id")
.entityId("x")
.build();
EntityRetrieveResponse entity = client.v1Beta().customers().entities().retrieve(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
entity = stigg.v1_beta.customers.entities.retrieve("x", id: "id")
puts(entity)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityRetrieveParams parameters = new()
{
ID = "id",
EntityID = "x",
};
var entity = await client.V1Beta.Customers.Entities.Retrieve(parameters);
Console.WriteLine(entity);stigg v1-beta:customers:entities retrieve \
--api-key 'My API Key' \
--id id \
--entity-id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The customer identifier (owner) the entity belongs to
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$The entity identifier
Required string length:
1 - 255Response
The requested entity object.
Response object
A stored entity instance tracked by the governance service for a given customer
Show child attributes
Show child attributes
⌘I
